/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 ,2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief UART 0 Receive Data Source Select: UART0_RX pin */
#define SOPT5_UART0RXSRC_UART_RX 0x00u
/*!
 * @brief UART 0 Transmit Data Source Select: UART0_TX pin */
#define SOPT5_UART0TXSRC_UART_TX 0x00u
/*!
 * @brief FTM0 channel 0 output PWM/OCMP mode source select: FTM0CH0 pin is the output of FTM0 channel 0 PWM/OCMP */
#define SOPT8_FTM0OCH0SRC_NO_MODULATION 0x00u
/*!
 * @brief FTM0 channel 1 output PWM/OCMP mode source select: FTM0CH1 pin is the output of FTM0 channel 1 PWM/OCMP */
#define SOPT8_FTM0OCH1SRC_NO_MODULATION 0x00u

/*! @name PORTB16 (number 39), J1[6]/U3[4]/UART0_RX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_DEBUG_UART_RX_PORT PORTB                /*!<@brief PORT peripheral base pointer */
#define BOARD_DEBUG_UART_RX_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_RX_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORTB17 (number 40), U5[1]/UART0_TX_TGTMCU
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_DEBUG_UART_TX_PORT PORTB                /*!<@brief PORT peripheral base pointer */
#define BOARD_DEBUG_UART_TX_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_DEBUG_UART_TX_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORTD6 (number 63), J2[6]/LD1[1]/PTD6
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTC6 (number 51), J2[8]/J2[13]/U10[4]/I2C0_SCL/SPI0_SOUT/PTC6
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SCL_PORT PORTC               /*!<@brief PORT peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SCL_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SCL_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                                   /* @} */

/*! @name PORTC7 (number 52), J1[15]/J1[16]/U10[6]/I2C0_SDA/PTC7
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SDA_PORT PORTC               /*!<@brief PORT peripheral base pointer */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SDA_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_I2C_CONFIGUREPINS_ACCEL_SDA_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_I2C_ConfigurePins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
